Skip to main content
GET
/
gst
/
compliance
/
tax-payer
/
invoices
/
status
Check Invoice Status
curl --request GET \
  --url https://api.sandbox.co.in/gst/compliance/tax-payer/invoices/status \
  --header 'Authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
{ "code": 200, "data": { "data": { "err_cd": "", "err_msg": "", "proc_cnt": "8", "status_cd": "P", "transTypCd": "SAV" }, "status_cd": "1" }, "timestamp": 1763446641000, "transaction_id": "619ed667-3bc3-4fc2-954c-340174e52a53" }

Headers

Authorization
string
required

GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session recipe, then pass the token in the Authorization header.

x-api-key
string
required

API key for identification

x-api-version
string
default:1.0.0

API version

Query Parameters

reference_id
string
required

Pass the reference id on taking Save or Reset action

Example:

"{{reference_id}}"

Response

200 - application/json

200 Save invoice status processed / 200 Save invoice status processed with error / IMSSAV005 Schema validation failure

code
number
Example:

200

data
object
timestamp
number
Example:

1763446641000

transaction_id
string
Example:

"619ed667-3bc3-4fc2-954c-340174e52a53"